package com.clx.performance.extranal.user;

import com.clx.open.sdk.request.dto.BatchOrderStatisticsDTO;
import com.clx.open.sdk.request.dto.BatchOrderStatisticsInfoDTO;
import com.clx.order.vo.feign.FeignOrderInfoVO;
import com.msl.common.base.Optional;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

public interface OrderService {

    Optional<FeignOrderInfoVO> getOrderInfo(@RequestParam String orderNo);



    Optional<List<String>>   getMonthSameLineOrderList(String orderNo);


    Optional<Map<String,FeignOrderInfoVO>> queryListOrderByOrderNoList(List<String> orderNoList);


    BatchOrderStatisticsInfoDTO queryTaskStatisticsInfo(List<String> orderNoList);

    BatchOrderStatisticsDTO queryOrderStatistics(List<String> orderNoList);
}
